<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>
	<extension
		point="org.eclipse.ui.editors">
		<editor
			class="org.eclipse.papyrus.robotics.xtext.compdef.ui.CompDefExecutableExtensionFactory:org.eclipse.xtext.ui.editor.XtextEditor"
			contributorClass="org.eclipse.ui.editors.text.TextEditorActionContributor"
			default="true"
			extensions="comp"
			id="org.eclipse.papyrus.robotics.xtext.compdef.CompDef"
			name="CompDef Editor">
		</editor>
	</extension>
	<extension point="org.eclipse.papyrus.infra.gmfdiag.extensionpoints.editors.DirectEditor">
		<DirectEditor
				language="CompDef editor"
				objectToEdit="org.eclipse.uml2.uml.Class"
				additionalConstraint="org.eclipse.papyrus.robotics.xtext.compdef.ui.CompDefEditorConstraint">
			<popupeditor
				editorConfiguration="org.eclipse.papyrus.robotics.xtext.compdef.ui.contribution.CompDefEditorConfigurationContribution">
			</popupeditor>
			<Priority
				name="Medium">
			</Priority>
		</DirectEditor>
	</extension>
</plugin>
